# ESlint personal configuration

<div align="center">
  <img
    alt="eslint"
    src="./.github/asset/eslint.svg"
  />
  &nbsp;&nbsp;&nbsp;
  <img
    alt="typescript"
    src="./.github/asset/typescript.svg"
  />
</div>
<br/>

🚨 Warning this repo has rules from airbnb styles, but modified to fix my style guides rules.

## ⚡️ Requirements

- eslint >= **^7.32.0 || ^8.2.0**

## 📦 Installation

Run this command to install eslint and the plugin.

```bash
pnpm i -D eslint-config-typescript-coder-dev
```

## 🚀 Usage

To use this plugin put in your eslint config file this lines of codes.

```json
{
  "root": true,
  "extends": "typescript-coder-dev"
}
```
